<?php
$this->PageTitle = 'Pendências CRM';
// @TODO quando houver um processo definido com analista e gerente de projetos alterar, por hora fica a cargo do desenvolvedor
$botoes = ' {view} ';

if (User::isAdmin()) {
    $botoes .= ' {update} {delete}';
}

$imagem = (User::canCreate() ) ? FaHtml::iconNovo() : FaHtml::iconBlank();
$menu = array(
    array('label' => $imagem, 'url' => array('create'), 'linkOptions'=>array('target' => '_blank', 'class' => 'novo')),
    array('label' => FaHtml::iconSetaClose(), 'url' => '#', 'linkOptions' => array('class' => 'search-button')),
    array('label' => FaHtml::iconRefresh(), 'url' => 'javascript:void(0);', 'linkOptions' => array('onclick' => 'reloadFrame();', 'class' => 'refresh-button'))
);
/*
3 = jones
17 = cati
21 = adilson
368 = marcio
*/
if(in_array(User::getId(), array(3, 17, 21, 192, 262, 368, 461, 545, 566, 639, 640))) {
    $items = array();
    $items[] = getItemParams('Sem filtro', "pendencias/admin&filtro=false");
    if(!in_array(User::getId(), array(192, 262))) {
        $items[] = getItemParams('Movim. hoje', "pendencias/admin&Pendencias[PEN_DATAATIVIDADE]=".date('d/m/Y')."&busca=1");
        $items[] = getItemParams('Cadastr. hoje', "pendencias/admin&Pendencias[PEN_DATACADASTRO]=".date('d/m/Y')."&busca=1");
        if (in_array(User::getId(), [17, 368, 461, 545, 566, 639, 640])) {
            $texto = User::getId() == 17 ? "Aguard. análise com." : "Comercial";
            $items[] = getItemParams($texto, "pendencias/admin&Pendencias[PEN_IDLOCAL][]=13&Pendencias[PEN_IDSETOR]=5&busca=1");
        }
        if (User::getId() == 17) {
            $items[] =  getItemParams('Em análise com.', "pendencias/admin&Pendencias[PEN_IDLOCAL][]=2&Pendencias[PEN_IDSETOR]=5&busca=1");
            $items[] =  getItemParams('Em testes com.', "pendencias/admin&Pendencias[PEN_IDLOCAL][]=4&Pendencias[PEN_IDSETOR]=5&busca=1");
        }
        if (in_array(User::getId(), [3, 21, 368, 461, 545, 566, 639, 640])) {
            $texto = User::getId() == 21 ? "Aguard. análise sup." : "Suporte";
            $items[] = getItemParams($texto, "pendencias/admin&Pendencias[PEN_IDLOCAL][]=13&Pendencias[PEN_IDSETOR]=1&busca=1");
        }
        if(User::getId() == 21) {
            $items[] =  getItemParams('Em análise sup.', "pendencias/admin&Pendencias[PEN_IDLOCAL][]=2&Pendencias[PEN_IDSETOR]=1&busca=1");
            $items[] =  getItemParams('Em testes sup.', "pendencias/admin&Pendencias[PEN_IDLOCAL][]=4&Pendencias[PEN_IDSETOR]=1&busca=1");
        }


        if (in_array(User::getId(), [3, 368, 461, 545, 566, 639, 640])) {
            $texto = User::getId() == 3 ? "Aguard. análise dev." : "Desenvolvimento";
            $items[] = getItemParams($texto, "pendencias/admin&Pendencias[PEN_IDLOCAL][]=13&Pendencias[PEN_IDSETOR]=2&busca=1");
        }
        if(User::getId() == 3) {
            $items[] =  getItemParams('Em análise dev.', "pendencias/admin&Pendencias[PEN_IDLOCAL][]=2&Pendencias[PEN_IDSETOR]=2&busca=1");
            $items[] =  getItemParams('Em testes dev.', "pendencias/admin&Pendencias[PEN_IDLOCAL][]=4&Pendencias[PEN_IDSETOR]=2&busca=1");
        }

        if(in_array(User::getId(), [368, 461, 545, 566, 639, 640])) {
            $id = User::getId();
            $items[] =  getItemParams('Novas dev.', "pendencias/admin&Pendencias[PEN_IDLOCAL][]=3&Pendencias[PEN_IDLOCAL][]=1&Pendencias[PEN_DATAATIVIDADE]=".date('d/m/Y')."&busca=1");
            $items[] =  getItemParams('Pré testes', "pendencias/admin&Pendencias[PEN_IDLOCAL][]=16&busca=1");
            $items[] =  getItemParams('Minhas pendências', "pendencias/admin&Pendencias[PEN_IDLOCAL][]=1&Pendencias[PEN_IDDESENVOLVEDOR]={$id}&busca=1");
        }
    } else {
        $items[] = getItemParams('Sincronizações', "pendencias/admin&Pendencias[PEN_SITUACAO]=A&Pendencias[PEN_IDMOTIVO][]=450&busca=1");
        $items[] = getItemParams('Manutenção cadastros', "pendencias/admin&Pendencias[PEN_IDLOCAL][]=2&Pendencias[PEN_SITUACAO]=A&Pendencias[PEN_IDMOTIVO][]=452&Pendencias[PEN_IDSETOR]=5&busca=1");
        $items[] = getItemParams('Pend. que sou atendente', "pendencias/admin&Pendencias[PEN_SITUACAO]=A&Pendencias[PEN_IDATENDENTE]=".User::getId()."&busca=1");
        $items[] = getItemParams('Cadastradas por mim', "pendencias/admin&Pendencias[PEN_SITUACAO]=A&Pendencias[PEN_IDFUNCIONARIO]=".User::getId()."&busca=1");
    }

    $menu[] = array(
        'label' => false,
        'url' => 'javascript:void(0);',
        'linkOptions' => array('class' => 'has-sub-item'),
        'itemOptions' => array('class' => 'has-sub-item'),
        'items' => $items
    );
}
function getItemParams($label, $url) {
    return array(
            'label' => FaHtml::iconFilters($label),
            'url' => Yii::app()->createUrl($url),
            'itemOptions' => array('class' => 'has-sub-item'),
    );
}
$this->menu = $menu;
?>

<?php
$dataProvider = $model->search();
?>
<div class="search-form" style="display:<?php echo ($dataProvider->totalItemCount > 0) ? 'none' : 'block'; ?>" >
    <?php
    $this->renderPartial('_search', array(
        'model' => $model,
    ));
    ?>
</div><!-- search-form -->

<?php
$this->widget('ext.Utils.widgets.CrmGridView', array(
    'id' => 'admin-grid',
    'dataProvider' => $dataProvider,
    'afterAjaxUpdate'=>'updated',
    'pager' => Util::getPagerDefaultConfig(),
    'columns' => array(
        'PEN_IDPENDENCIA',
        'PEN_DATACADASTRO',
        'PEN_TITULO',
        array(
            'name' => 'PEN_IDFUNCIONARIO',
            'value' => 'GxHtml::valueEx($data->Autor)',
        ),
        array(
            'name' => 'PEN_IDPRIORIDADE',
            'value' => 'GxHtml::valueEx($data->Prioridade)',
        ),
        array(
            'name' => 'PEN_IDMOTIVO',
            'value' => 'GxHtml::valueEx($data->Motivo)',
        ),
        array(
            'name' => 'PEN_IDFORMULARIO',
            'value' => 'GxHtml::valueEx($data->Formulario)',
        ),
        array(
            'name' => 'PEN_IDLOCAL',
            'value' => 'GxHtml::valueEx($data->Local)',
        ),
        array(
            'name' => 'PEN_IDSETOR',
            'value' => 'GxHtml::valueEx($data->Setor)',
        ),
        array(
            'name' => 'PEN_SITUACAO',
            'value' => 'Util::getSituacaoPendencias($data->PEN_SITUACAO)',
        ),
        array(
            'name' => 'PEN_IDPREVISAOVERSAO',
            'value' => '$data->PrevisaoVersao',
        ),
        array(
            'class' => 'CButtonColumn',
            'template' => $botoes,
            'viewButtonOptions' => array('target' => '_blank'),
            'updateButtonOptions' => array('target' => '_blank'),
            'buttons' => array(
                'view' => array(
                  'label' => 'Exibir',
                  'url' => 'Yii::app()->createUrl("pendencias/view", array("id"=>$data->PEN_IDPENDENCIA))',
                ),
                'update' => array(
                  'label' => 'Editar',
                  'url' => 'Yii::app()->createUrl("pendencias/update", array("id"=>$data->PEN_IDPENDENCIA))',
                ),
                'delete' => array(
                  'label' => 'Excluir',
                  'url' => 'Yii::app()->createUrl("pendencias/delete", array("id"=>$data->PEN_IDPENDENCIA))',
                ),
            ),
        ),
    ),
));